BLKPR(8)

NAME
blkpr - run a persistent-reservations command on a device

SYNOPSIS

blkpr [options] device

DESCRIPTION

blkpr is used to run a persistent-reservations command on a device that supports the Persistent Reservations feature.

The device argument is the pathname of the block device.

OPTIONS

-c, --command command
    The command for managing persistent reservations. Supported commands are: register, reserve, release, preempt, preempt-abort, clear, read-keys, and read-reservation.

-k, --key key
    The key the command should operate on.

-K, --oldkey oldkey
    The old key the command should operate on.

-f, --flag flag
    Supported flag is ignore-key.

-t, --type type
    Supported types are write-exclusive, exclusive-access, write-exclusive-reg-only, exclusive-access-reg-only, write-exclusive-all-regs, and exclusive-access-all-regs.

-h, --help
    Display help text and exit.

-V, --version
    Display version and exit.

AUTHORS

SEE ALSO

sg_persist(8)

Linux documentation at: iSCSI specification at: NVMe-oF specification at:

REPORTING BUGS

For bug reports, use the

AVAILABILITY

The blkpr command is part of the util-linux package which can be downloaded from